Bug 188623 - Review Request: SOAPpy - Full-featured SOAP library for Python
Review Request: SOAPpy - Full-featured SOAP library for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-11 16:01 EDT by Christopher Stone
Modified: 2007-12-12 21:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 08:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-04-11 16:01:58 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/SOAPpy.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/

Description: 
The goal of the SOAPpy team is to provide a full-featured SOAP library
for Python that is very simple to use and that fully supports dynamic
interaction between clients and servers.
Comment 1 Wart 2006-04-17 10:39:42 EDT
MUST
====
* rpmlint output clean
* Source matches upstream.  md5sum:
  51ac835366badedd932c64f26fa8336b  SOAPpy-0.11.6.tar.gz
* License (PSFL) ok, license file included
* Package and spec file named appropriately
* Spec file legible and in Am. English
* Builds and packages in mock on FC-4 i386, FC-4 x86_64, devel i386, devel x86_64
* No locales
* No shared libraries
* Not relocatable
* buildroot cleaned in at beginning of %install and in %clean
* No duplicate files
* Macro use consistent
* Contains code, not content
* No -devel package necessary
* No .la archives
* No .desktop file needed
* Owns all directories that it creates.

SHOULD
======
* There are some unit tests in the tests subdirectory.  Consider running
  the test suite in the spec file to verify that the package works.

* There are a lot of example scripts in contrib/, bid/, validate that could
  be included as example code in %doc.

MUSTFIX
=======
* Is BuildRequires: PyXML necessary?  It seems to build fine without it.
* The files in the docs subdirectory need to be added to %doc.
Comment 2 Christopher Stone 2006-04-17 16:38:18 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/SOAPpy.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/

* Mon Apr 17 2006 Christopher Stone <chris.stone@gmail.com> 0.11.6-2
- Add docs directory to %doc
- Remove PyXML BR
- Removed executable bits from doc files
- Added call to run test script in %check
- Added a patch to remove tests that fail
- Added examples to %doc

There are two tests that fail.  One of the tests is _supposed_ to fail.  I had
to add a patch to comment out the tests that fail to allow rpmbuild to make the rpm.

The test that fails which is supposed to pass prints this:
======================================================================
ERROR: testTime (__main__.SOAPTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "SOAPtest.py", line 2201, in testTime
    self.allTests(t, baddata, gooddata, parsedata)
  File "SOAPtest.py", line 1727, in allTests
    self.goodTest(t, gooddata)
  File "SOAPtest.py", line 1695, in goodTest
    d = x._marshalData()
  File "/home/build/SOAPpy-0.11.6/SOAPpy/Types.py", line 593, in _marshalData
    s = time.strftime("%H:%M:%S", (0, 0, 0) + d + (0, 0, -1))
ValueError: month out of range
Comment 3 Wart 2006-04-17 21:23:51 EDT
All MUST and SHOULD items have been addressed.

APPROVED
Comment 4 Christopher Stone 2007-12-12 18:02:12 EST
Package Change Request
======================
Package Name: SOAPpy
New Branches: EL-5
Comment 5 Kevin Fenzi 2007-12-12 21:10:04 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.